npm ERR! code EINTEGRITY 报错解决方法,亲测有效

Java技术 潘老师 4个月前 (05-14) 1254 ℃ (0) 扫码查看

vue项目在使用npm install安装node_modules依赖库时,出现报错npm ERR! code EINTEGRITY报错,有什么解决方法呢?

一、问题展示

首先我们看下该报错,看看你的报错是否与我的类似。

npm ERR! code EINTEGRITY

二、解决办法,亲测有效

解决办法非常简单,亲测有效,具体如下:

第1步

删除package.lock.json文件,(如果不想更改此文件,请在安装完之后再还原即可)

第2步

执行如下指令:

npm cache clean --force

执行时会有如下警告提示,忽略即可
npm cache clean警告提示

第3步

最后再去执行npm install进行安装,发现就可以正常安装了,这时候,会发现有新生成的code>package.lock.json文件,其实基本没必要再还原源文件,你需要你也可以还原。

三、总结

以上就是npm install时出现提示npm ERR! code EINTEGRITY错误的解决方案,而且亲测有效哦!


版权声明:本站所有文章,如无特殊说明,均为本站原创。转载请务必注明文章来源,谢谢支持。
本文链接:https://www.panziye.com/java/4768.html
喜欢 (3)
请潘老师喝杯Coffee吧!】
分享 (0)
用户头像
发表我的评论
取消评论
表情 贴图 签到 代码

Hi,您需要填写昵称和邮箱!

  • 昵称【必填】
  • 邮箱【必填】
  • 网址【可选】